## ros-rolling-gripper-controllers 3.15.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(gripper_controllers LANGUAGES CXX)

if(APPLE OR WIN32)
  message(WARNING "gripper controllers are not available on OSX or Windows")
  return()
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
  add_compile_options(-Wall -Wextra -Wconversion)
endif()

set(THIS_PACKAGE_INCLUDE_DEPENDS
  control_msgs
  control_toolbox
  controller_interface
  generate_parameter_library
  hardware_interface
  pluginlib
  rclcpp
  rclcpp_action
  realtime_tools
)

find_package(ament_cmake REQUIRED)
find_package(backward_ros REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

generate_parameter_library(gripper_action_controller_parameters
  src/gripper_action_controller_parameters.yaml
)

add_library(gripper_action_controller SHARED
  src/gripper_action_controller.cpp
)
target_compile_features(gripper_action_controller PUBLIC cxx_std_17)
target_include_directories(gripper_action_controller PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/gripper_action_controller>
)
target_link_libraries(gripper_action_controller PUBLIC
  gripper_action_controller_parameters
)
ament_target_dependencies(gripper_action_controller PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})

pluginlib_export_plugin_description_file(controller_interface ros_control_plugins.xml)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(controller_manager REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  ament_add_gmock(test_load_gripper_action_controllers
    test/test_load_gripper_action_controllers.cpp
  )
  ament_target_dependencies(test_load_gripper_action_controllers
    controller_manager
    ros2_control_test_assets
  )

  ament_add_gmock(test_gripper_controllers
    test/test_gripper_controllers.cpp
  )
  target_link_libraries(test_gripper_controllers
    gripper_action_controller
  )
endif()

install(
  DIRECTORY include/
  DESTINATION include/gripper_action_controller
)
install(
  TARGETS
    gripper_action_controller
    gripper_action_controller_parameters
  EXPORT export_gripper_action_controller
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  INCLUDES DESTINATION include
)

ament_export_targets(export_gripper_action_controller HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

## ros-rolling-gripper-controllers 2.0.1

=== debian/changelog ===
ros-rolling-gripper-controllers (2.0.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 01 Feb 2022 00:00:00 -0000

ros-rolling-gripper-controllers (2.0.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Jan 2022 00:00:00 -0000

ros-rolling-gripper-controllers (1.3.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-rolling-gripper-controllers (1.2.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-rolling-gripper-controllers (1.1.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-rolling-gripper-controllers (1.0.0-1focal) focal; urgency=high

  * Remove compile warnings. (#245 <https://github.com/ros-controls/ros2_controllers/issues/245>)
  * Add time and period to update function (#241 <https://github.com/ros-controls/ros2_controllers/issues/241>)
  * Unify style of controllers. (#236 <https://github.com/ros-controls/ros2_controllers/issues/236>)
  * ros2_controllers code changes to support ros2_controls issue #489 <https://github.com/ros-controls/ros2_controllers/issues/489> (#233 <https://github.com/ros-controls/ros2_controllers/issues/233>)
  * Removing Boost from controllers. (#235 <https://github.com/ros-controls/ros2_controllers/issues/235>)
  * Contributors: Bence Magyar, Denis Štogl, bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Sep 2021 23:00:00 -0000

ros-rolling-gripper-controllers (0.5.0-1focal) focal; urgency=high

  * Add auto declaration of parameters. (#224 <https://github.com/ros-controls/ros2_controllers/issues/224>)
  * Bring precommit config up to speed with ros2_control (#227 <https://github.com/ros-controls/ros2_controllers/issues/227>)
  * Contributors: Bence Magyar, Lovro Ivanov

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 29 Aug 2021 23:00:00 -0000

ros-rolling-gripper-controllers (0.4.1-1focal) focal; urgency=high

  * Fix test dependencies (#213 <https://github.com/ros-controls/ros2_controllers/issues/213>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 07 Jul 2021 23:00:00 -0000

ros-rolling-gripper-controllers (0.4.0-1focal) focal; urgency=high

  * Force torque sensor broadcaster (#152 <https://github.com/ros-controls/ros2_controllers/issues/152>)
    * Add  rclcpp::shutdown(); to all standalone test functions
  * Fixes for Windows (#205 <https://github.com/ros-controls/ros2_controllers/issues/205>)
    * Disable gripper on Windows too
  * disable gripper on OSX (#192 <https://github.com/ros-controls/ros2_controllers/issues/192>)
  * Port gripper action controller to ROS2 (#162 <https://github.com/ros-controls/ros2_controllers/issues/162>)
  * Contributors: Bence Magyar, Denis Štogl, Jafar Abdi

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Jun 2021 23:00:00 -0000

ros-rolling-gripper-controllers (0.3.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-rolling-gripper-controllers (0.3.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 May 2021 23:00:00 -0000

ros-rolling-gripper-controllers (0.2.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 May 2021 23:00:00 -0000

ros-rolling-gripper-controllers (0.2.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 06 Feb 2021 00:00:00 -0000

ros-rolling-gripper-controllers (0.1.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 07 Jan 2021 00:00:00 -0000

ros-rolling-gripper-controllers (0.1.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 06 Jan 2021 00:00:00 -0000

ros-rolling-gripper-controllers (0.1.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Dec 2020 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-gripper-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-control-msgs, ros-rolling-control-toolbox, ros-rolling-controller-interface, ros-rolling-controller-manager, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-realtime-tools, ros-rolling-ros2-control-test-assets, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-gripper-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-control-msgs, ros-rolling-control-toolbox, ros-rolling-controller-interface, ros-rolling-hardware-interface, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-realtime-tools, ros-rolling-ros-workspace
Description: The gripper_controllers package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-gripper-controllers//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-gripper-controllers 3.15.0

=== debian/changelog ===
ros-rolling-gripper-controllers (3.15.0-1jammy) jammy; urgency=high

  * Add test for effort gripper controller (#769 <https://github.com/ros-controls/ros2_controllers/issues/769>)
  * Fixed implementation so that effort_controllers/GripperActionController works. (#756 <https://github.com/ros-controls/ros2_controllers/issues/756>)
  * Contributors: chama1176

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Aug 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Aug 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Jul 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.11.0-1jammy) jammy; urgency=high

  * Added -Wconversion flag and fix warnings (#667 <https://github.com/ros-controls/ros2_controllers/issues/667>)
  * Let sphinx add parameter description to documentation (#651 <https://github.com/ros-controls/ros2_controllers/issues/651>)
  * Contributors: Christoph Fröhlich, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Jun 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.10.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 05 Jun 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Jun 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.9.0-1jammy) jammy; urgency=high

  * Fix compilation warnings (#621 <https://github.com/ros-controls/ros2_controllers/issues/621>)
  * Contributors: Noel Jiménez García, Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 27 May 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 13 May 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 01 May 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.6.0-1jammy) jammy; urgency=high

  * Renovate load controller tests (#569 <https://github.com/ros-controls/ros2_controllers/issues/569>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.5.0-1jammy) jammy; urgency=high

  * [Parameters] Use gt_eq instead of deprecated lower_bounds in validators (#561 <https://github.com/ros-controls/ros2_controllers/issues/561>)
  * Contributors: Dr. Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-rolling-gripper-controllers (3.3.0-1jammy) jammy; urgency=high

  * Add comments about auto-generated header files (#539 <https://github.com/ros-controls/ros2_controllers/issues/539>)
  * Fix Segfault in GripperActionController (#527 <https://github.com/ros-controls/ros2_controllers/issues/527>)
  * Contributors: AndyZe, Erik Holum

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Mar 2023 00:00:00 -0000

ros-rolling-gripper-controllers (3.2.0-1jammy) jammy; urgency=high

  * Fix overriding of install (#510 <https://github.com/ros-controls/ros2_controllers/issues/510>)
  * Contributors: Tyler Weaver, Chris Thrasher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-rolling-gripper-controllers (3.1.0-1jammy) jammy; urgency=high

  * Changing to_chrono to use nanoseconds & Reset gripper action goal timer to match JTC impl (#507 <https://github.com/ros-controls/ros2_controllers/issues/507>)
  * Contributors: Dan Wahl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Jan 2023 00:00:00 -0000

ros-rolling-gripper-controllers (3.0.0-1jammy) jammy; urgency=high

  * Add backward_ros to all controllers (#489 <https://github.com/ros-controls/ros2_controllers/issues/489>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-rolling-gripper-controllers (2.15.0-1jammy) jammy; urgency=high

  * Add basic gripper controller tests (#459 <https://github.com/ros-controls/ros2_controllers/issues/459>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-rolling-gripper-controllers (2.14.0-1jammy) jammy; urgency=high

  * Use optional from C++17 (#460 <https://github.com/ros-controls/ros2_controllers/issues/460>)
  * Generate parameters for Gripper Action (#398 <https://github.com/ros-controls/ros2_controllers/issues/398>)
  * Contributors: Bence Magyar, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 18 Nov 2022 00:00:00 -0000

ros-rolling-gripper-controllers (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-rolling-gripper-controllers (2.12.0-1jammy) jammy; urgency=high

  * Add an initialization of the gripper action command for safe startup. (#425 <https://github.com/ros-controls/ros2_controllers/issues/425>)
  * Fix formatting CI job (#418 <https://github.com/ros-controls/ros2_controllers/issues/418>)
  * Contributors: Shota Aoki, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Aug 2022 23:00:00 -0000

ros-rolling-gripper-controllers (2.11.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Aug 2022 23:00:00 -0000

ros-rolling-gripper-controllers (2.10.0-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-rolling-gripper-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-backward-ros, ros-rolling-control-msgs, ros-rolling-control-toolbox, ros-rolling-controller-interface, ros-rolling-controller-manager <!nocheck>, ros-rolling-generate-parameter-library, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-realtime-tools, ros-rolling-ros2-control-test-assets <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-gripper-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-backward-ros, ros-rolling-control-msgs, ros-rolling-control-toolbox, ros-rolling-controller-interface, ros-rolling-generate-parameter-library, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-realtime-tools, ros-rolling-ros-workspace
Description: The gripper_controllers package

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
